All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculateditems.html
Interface BaseCalculatedItemSelectorPanelKeysInterface

All Known Implementing Classes:
  BaseCalculatedItemSelectorPanel, SimpleCalculatedItemSelectorPanel

    public interface BaseCalculatedItemSelectorPanelKeysInterface

This interface defines keys used to retrieve the visual components for the BaseCalculatedItemSelectorPanel from its component map. These keys are the component keys needed to access the components from the map via a CompositeComponentInterface.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  `BaseCalculatedItemSelectorPanel`, `CompositeComponentInterface`

Field Summary
`static java.lang.String` | `BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_ENTRY` Component key for the description entry of the selector panel
`static java.lang.String` | `BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_LABEL` Component key for the description label of the selector panel
`static java.lang.String` | `BASECALCULATEDITEMSELECTORPANEL_EXPRESSION_EDITOR` Component key for the expression editor of the selector panel
`static java.lang.String` | `BASECALCULATEDITEMSELECTORPANEL_NAME_ENTRY` Component key for the name entry of the selector panel
`static java.lang.String` | `BASECALCULATEDITEMSELECTORPANEL_NAME_LABEL` Component key for the name label of the selector panel

Field Detail

### BASECALCULATEDITEMSELECTORPANEL_NAME_LABEL

    static final java.lang.String BASECALCULATEDITEMSELECTORPANEL_NAME_LABEL

  Component key for the name label of the selector panel

  See Also:
    Constant Field Values

### BASECALCULATEDITEMSELECTORPANEL_NAME_ENTRY

    static final java.lang.String BASECALCULATEDITEMSELECTORPANEL_NAME_ENTRY

  Component key for the name entry of the selector panel

  See Also:
    Constant Field Values

### BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_LABEL

    static final java.lang.String BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_LABEL

  Component key for the description label of the selector panel

  See Also:
    Constant Field Values

### BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_ENTRY

    static final java.lang.String BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_ENTRY

  Component key for the description entry of the selector panel

  See Also:
    Constant Field Values

### BASECALCULATEDITEMSELECTORPANEL_EXPRESSION_EDITOR

    static final java.lang.String BASECALCULATEDITEMSELECTORPANEL_EXPRESSION_EDITOR

  Component key for the expression editor of the selector panel

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.